package com.ruoyi.ai.service;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiRebateRecord;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 返佣记录Service接口
 * 
 * @author shi
 * @date 2025-11-13
 */
public interface IAiRebateRecordService {

    /**
     * 查询返佣记录
     * 
     * @param id 返佣记录主键
     * @return 返佣记录
     */
    AiRebateRecord selectAiRebateRecordById(Long id);

    /**
     * 查询返佣记录列表
     * 
     * @param aiRebateRecord 返佣记录
     * @return 返佣记录集合
     */
    List<AiRebateRecord> selectAiRebateRecordList(AiRebateRecord aiRebateRecord);

    /**
     * 分页查询返佣记录列表
     *
     * @param aiRebateRecord 返佣记录
     * @return 返佣记录集合
     */
    IPage<AiRebateRecord> selectAiRebateRecordPage(Page page, AiRebateRecord aiRebateRecord);

    /**
     * 新增返佣记录
     * 
     * @param aiRebateRecord 返佣记录
     * @return 结果
     */
    int insertAiRebateRecord(AiRebateRecord aiRebateRecord);

    /**
     * 修改返佣记录
     * 
     * @param aiRebateRecord 返佣记录
     * @return 结果
     */
    int updateAiRebateRecord(AiRebateRecord aiRebateRecord);

    /**
     * 批量删除返佣记录
     * 
     * @param ids 需要删除的返佣记录主键集合
     * @return 结果
     */
    int deleteAiRebateRecordByIds(Long[] ids);

    /**
     * 删除返佣记录信息
     * 
     * @param id 返佣记录主键
     * @return 结果
     */
    int deleteAiRebateRecordById(Long id);

    BigDecimal getTotalAmount(AiRebateRecord aiRebateRecord);

    List<AiRebateRecord> getAiRebateRecordList(AiRebateRecord aiRebateRecord);
}
